Subject: 25.0.91; Face setting not being restored across invocations

From: John Wiegley <[email-masked]>
Date: Mon, 29 Feb 2016 14:13:17 -0800

I have the following in my .emacs (roughly):

  (custom-set-faces
   '(variable-pitch ((t (:height 1.2 :family "Myriad Pro")))))

Which works fine.  But if I restart Emacs, I find that variable-pitch is back
to being its small self.

However, if I run customize-face again, it shows me the value above!  And if I
just hit C-x C-s in that buffer, the face changes in all the buffers where the
text was tiny.

I notice this because Gnus uses variable-pitch now to show some e-mail bodies,
and every time I restart Emacs, Gnus is back to using the default font for
variable-pitch, despite the customization.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2